libzypp: zypp::sat::LookupAttr::TransformIterator< TResult, TAttr > Class Template Reference

libzypp 17.38.6

zypp::sat::LookupAttr::TransformIterator< TResult, TAttr > Class Template Reference

TransformIterator returning an iterator vaue of type `TResult`. More...

`#include <zypp/sat/LookupAttrTools.h>`

Inheritance diagram for zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >:

## Public Member Functions
| TransformIterator ()
| TransformIterator (const LookupAttr::iterator &val_r)
Moving fast forward.
void | nextSkipSolvAttr ()
| On the next call to operator++ advance to the next SolvAttr.
void | nextSkipSolvable ()
| On the next call to operator++ advance to the next Solvable.
void | nextSkipRepo ()
| On the next call to operator++ advance to the next Repository.
void | skipSolvAttr ()
| Immediately advance to the next SolvAttr.
void | skipSolvable ()
| Immediately advance to the next Solvable.
void | skipRepo ()
| Immediately advance to the next Repository.

## Current position info.
class | boost::iterator_core_access
Repository | inRepo () const
| The current Repository.
Solvable | inSolvable () const
| The current Solvabele.
SolvAttr | inSolvAttr () const
| The current SolvAttr.
TResult | dereference () const

## Detailed Description

template<class TResult, class TAttr>
class zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >

TransformIterator returning an iterator vaue of type `TResult`.

TransformIterator returning an iterator value of type `TResult`.

The underlying LookupAttr::iterators value is retrieved asType<TAttr> and the returned ResultT is constructed fron that value.

class Keywords
{
public:
Keywords( sat::Solvable solv_r )
: _q( sat::SolvAttr::keywords, solv_r )
{}
public:
typedef sat::LookupAttr::TransformIterator<PackageKeyword,IdString> iterator;
iterator begin() const { return iterator( _q.begin() ); }
iterator end() const { return iterator( _q.end() ); }
private:
sat::LookupAttr _q;
};
zypp::sat::LookupAttr::TransformIterator
TransformIterator returning an iterator vaue of type TResult.
Definition LookupAttrTools.h:65
zypp::sat::LookupAttr::iterator
Result iterator.
Definition LookupAttr.h:364
zypp::sat::LookupAttr
Lightweight attribute value lookup.
Definition LookupAttr.h:110
zypp::sat::LookupAttr::begin
iterator begin() const
Iterator to the begin of query results.
Definition LookupAttr.cc:237
zypp::sat::SolvAttr
Solvable attribute keys.
Definition SolvAttr.h:41
zypp::sat::Solvable
A Solvable object within the sat Pool.
Definition Solvable.h:54
zypp::sat
Libsolv interface

See also
  ArrayAttr.

Definition at line 58 of file LookupAttrTools.h.

## Constructor & Destructor Documentation

## ◆ TransformIterator() [1/2]

template<class TResult, class TAttr>

zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::TransformIterator | ( |  | ) |
| inline

Definition at line 67 of file LookupAttrTools.h.

## ◆ TransformIterator() [2/2]

template<class TResult, class TAttr>

zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::TransformIterator | ( | const LookupAttr::iterator & | val_r | ) |
| inlineexplicit

Definition at line 71 of file LookupAttrTools.h.

## Member Function Documentation

## ◆ nextSkipSolvAttr()

template<class TResult, class TAttr>

void zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::nextSkipSolvAttr | ( |  | ) |
| inline

On the next call to operator++ advance to the next SolvAttr.

Definition at line 79 of file LookupAttrTools.h.

## ◆ nextSkipSolvable()

template<class TResult, class TAttr>

void zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::nextSkipSolvable | ( |  | ) |
| inline

On the next call to operator++ advance to the next Solvable.

Definition at line 83 of file LookupAttrTools.h.

## ◆ nextSkipRepo()

template<class TResult, class TAttr>

void zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::nextSkipRepo | ( |  | ) |
| inline

On the next call to operator++ advance to the next Repository.

Definition at line 87 of file LookupAttrTools.h.

## ◆ skipSolvAttr()

template<class TResult, class TAttr>

void zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::skipSolvAttr | ( |  | ) |
| inline

Immediately advance to the next SolvAttr.

Definition at line 91 of file LookupAttrTools.h.

## ◆ skipSolvable()

template<class TResult, class TAttr>

void zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::skipSolvable | ( |  | ) |
| inline

Immediately advance to the next Solvable.

Definition at line 95 of file LookupAttrTools.h.

## ◆ skipRepo()

template<class TResult, class TAttr>

void zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::skipRepo | ( |  | ) |
| inline

Immediately advance to the next Repository.

Definition at line 99 of file LookupAttrTools.h.

## ◆ inRepo()

template<class TResult, class TAttr>

Repository zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::inRepo | ( |  | ) | const
| inline

The current Repository.

Definition at line 106 of file LookupAttrTools.h.

## ◆ inSolvable()

template<class TResult, class TAttr>

Solvable zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::inSolvable | ( |  | ) | const
| inline

The current Solvabele.

Definition at line 110 of file LookupAttrTools.h.

## ◆ inSolvAttr()

template<class TResult, class TAttr>

SolvAttr zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::inSolvAttr | ( |  | ) | const
| inline

The current SolvAttr.

Definition at line 114 of file LookupAttrTools.h.

## ◆ dereference()

template<class TResult, class TAttr>

TResult zypp::sat::LookupAttr::TransformIterator< TResult, TAttr >::dereference | ( |  | ) | const
| inlineprivate

Definition at line 121 of file LookupAttrTools.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

template<class TResult, class TAttr>

friend class boost::iterator_core_access
| friend

Definition at line 119 of file LookupAttrTools.h.

The documentation for this class was generated from the following files:

- zypp/sat/LookupAttr.h
- zypp/sat/LookupAttrTools.h